﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DocumentsTagger.UI.ViewModel;
using DocumentsTagger.UI.Model;

namespace DocumentsTagger.UI.Commands
{
    class AddTagToDocumentCommand:ACommandBase
    {
        private DocumentViewModel m_vm;

        public AddTagToDocumentCommand(DocumentViewModel documentViewModel)
        {
            this.m_vm = documentViewModel;
        }

        /// <summary>
        /// returns the ability to execute the command
        /// </summary>
        /// <param name="parameter">The string of the tag to be added</param>
        /// <returns>true if the command can be executed</returns>
        public override bool CanExecute(object parameter)
        {
            bool exists = false;
            foreach (TagUIModel item in m_vm.AcceptedTags)
            {
                if (item.Name == (string)parameter)
                {
                    exists = true;
                    break;
                }
            }
            return !exists;
        }

        /// <summary>
        /// Executes the command.
        /// </summary>
        /// <param name="parameter">The string of the tag to be added.</param>
        public override void Execute(object parameter)
        {
            this.m_vm.AddTagToDocument((string)parameter);
        }
    }
}
