﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;
using DocumentsTagger.UI.ViewModel;
using DocumentsTagger.UI.Model;

namespace DocumentsTagger.UI.Commands
{
    public class RemoveAcceptedTagCommand : ACommandBase
    {
        private readonly DocumentViewModel r_vm;
        static int cntr = 0;
        private readonly int currId;

        public RemoveAcceptedTagCommand(DocumentViewModel documentViewModel)
        {
            this.r_vm = documentViewModel;
        }

        /// <summary>
        /// returns the ability to execute the command
        /// </summary>
        /// <param name="parameter">can be null</param>
        /// <returns>true if the command can be executed</returns>
        public override bool CanExecute(object parameter)
        {
            bool res = false;
            if (r_vm.AcceptedTags != null)
            {
                if (r_vm.AcceptedTags.Where(u => u.IsChecked == true).Count() >= 1)
                {
                    res = true;
                }
            }
            return res;
        }

        /// <summary>
        /// Executes the command.
        /// </summary>
        /// <param name="parameter">can be null.</param>
        public override void Execute(object parameter)
        {
            r_vm.RemoveTagFromAcceptedTagsList();
        }
    }
}
