﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DocumentsTagger.UI.ViewModel;
using DocumentsTagger.DM;

namespace DocumentsTagger.UI.Commands
{
    public class RemoveDocumentCommand:ACommandBase
    {
        private readonly MainWindowViewModel r_vm;

        public RemoveDocumentCommand(MainWindowViewModel vm)
        {
            r_vm = vm;
        }

        /// <summary>
        /// returns the ability to execute the command
        /// </summary>
        /// <param name="parameter">can be null</param>
        /// <returns>true if the command can be executed</returns>
        public override bool CanExecute(object parameter)
        {
            return true;
        }

        /// <summary>
        /// Executes the command.
        /// </summary>
        /// <param name="parameter">Document to remove</param>
        public override void Execute(object parameter)
        {
            r_vm.RemoveDocument((Document)parameter);
        }
    }
}
